Subject: Re: bug#14213: 24.3; Redraw artifacts with emacs cursor and highlighting

From: Eli Zaretskii <[email-masked]>
Date: Tue, 16 Apr 2013 09:18:33 +0300

> From: Chris Rose <[email-masked]>
> Date: Mon, 15 Apr 2013 14:09:28 -0700
> 
> When editing text, I odd cursor shadows and leftover, un-redrawn text as
> I type; for example, during the typing of this sentence the letters on
> this line were often obscured by the cursor appearing over them, as well
> as appearing on the current line.
> 
> This is best shown in an image: http://imgur.com/IjAxNWC
> 
> I am running emacs as a daemon on a RHEL5 64 bit host, and running emacsclient there as well, using an Xorg server on Ubuntu 12.04
> emacs daemon command line:
> ssh -f -o ForwardAgent=no -o ForwardX11=no -o ForwardX11Trusted=no chrisros.desktop 'DISPLAY= nohup ~/bin/emacs -nw --daemon 2>&1 >/dev/null'
> ssh -f chrisros.desktop '~/bin/emacsclient -c'
> 
> If I run emacs daemon with -Q, the issue persists:
> ssh -f chrisros.desktop 'DISPLAY= nohup ~/bin/emacs -Q -nw --daemon 2>&1 >/dev/null'
> ssh -f chrisros.desktop '~/bin/emacsclient -c'
> 
> Image with emacs --daemon -Q: http://imgur.com/v7ZOKtA

Do other Emacs versions show the same problem?  Or did this start
happening with 24.3?